Creating legacy public apps and project-based apps is temporarily unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName} \
--header 'Authorization: Bearer <token>'{
"list": {
"createdAt": "2023-11-15T18:10:11.793Z",
"createdById": "123",
"filtersUpdatedAt": "2023-11-15T18:10:11.793Z",
"listId": "1",
"listVersion": 1,
"name": "Manual List Example",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "MANUAL",
"size": 330,
"updatedAt": "2023-11-15T18:10:11.923Z",
"updatedById": "123"
}
}Fetch a single list by list name and object type.
curl --request GET \
--url https://api.hubapi.com/crm/v3/lists/object-type-id/{objectTypeId}/name/{listName} \
--header 'Authorization: Bearer <token>'{
"list": {
"createdAt": "2023-11-15T18:10:11.793Z",
"createdById": "123",
"filtersUpdatedAt": "2023-11-15T18:10:11.793Z",
"listId": "1",
"listVersion": 1,
"name": "Manual List Example",
"objectTypeId": "0-1",
"processingStatus": "COMPLETE",
"processingType": "MANUAL",
"size": 330,
"updatedAt": "2023-11-15T18:10:11.923Z",
"updatedById": "123"
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The name of the list to fetch. This is not case sensitive.
The object type ID of the object types stored by the list to fetch. For example, 0-1 for a CONTACT list.
A flag indicating whether or not the response object list definition should include a filter branch definition. By default, object list definitions will not have their filter branch definitions included in the response.
Successful response, for a request with includeFilters set to false.
The response for a list fetch request.
An object list definition.
Show child attributes
Was this page helpful?